petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscObjectViewSAWs

View the base portion of any object with an SAWs viewer

### Synopsis

    #include "petscsys.h"  */
    PetscErrorCode  PetscObjectViewSAWs(PetscObject obj,PetscViewer viewer)

Collective on PetscObject

### Input Parameters

| obj | - the Petsc variable Thus must be cast with a (PetscObject), for example, PetscObjectSetName((PetscObject)mat,name);
| viewer | - the SAWs viewer

Developer Note: Currently this is called only on rank zero of PETSC_COMM_WORLD

The object must have already been named before calling this routine since naming an object can be collective.

### See Also

PetscObjectSetName(), PetscObjectSAWsViewOff()

Level:advanced
Location:src/sys/classes/viewer/impls/ams/amsopen.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages